
Redmine - Defect #22030

Redmine.pm authentication slow & caching not working (svn)

2016-02-15 00:06 - vic dog

Status: New Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hello team,

The Redmine.pm authentication method for SVN is extremely slow when using a layout that requires polling of various files in

sequence from client.

This means that check in and check out time is very slow, when it has to check every single time in one check-out for example.

Attempting to use the cachecredentials flag causes passenger to not start.

Passenger simply says:

[ 2016-02-11 10:44:33.5604 2718/7fb6e1e1c700 age/Log/Main.cpp:346 ]: Signal received. Gracefully shutting down... (send signal 2

more time(s) to force shutdown)

[ 2016-02-11 10:44:33.5604 2718/7fb6e4db5780 age/Log/Main.cpp:408 ]: Received command to shutdown gracefully. Waiting until

all clients have disconnected...

[ 2016-02-11 10:44:33.5604 2718/7fb6e1e1c700 Ser/Server.h:455 ]: [LoggerAdminServer] Shutdown finished

[ 2016-02-11 10:44:33.5604 2713/7fe0effff700 Ser/Server.h:455 ]: [ServerThr.2] Shutdown finished

[ 2016-02-11 10:44:33.5604 2713/7fe0ef7fe700 Ser/Server.h:455 ]: [AdminServer] Shutdown finished

[ 2016-02-11 10:44:33.5605 2718/7fb6e4db5780 age/Log/Main.cpp:433 ]: PassengerAgent logger shutdown finished

[ 2016-02-11 10:44:33.5610 2713/7fe0ffc23780 age/Hel/Main.cpp:876 ]: PassengerAgent server shutdown finished

Thanks

History

#1 - 2016-02-15 06:58 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

#2 - 2016-02-15 07:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What is cachecredentials flag?

#3 - 2016-02-15 23:19 - vic dog

Toshi MARUYAMA wrote:

What is cachecredentials flag?

 It is a flag that can be set from the Redmine.pm file:

source:trunk/extra/svn/Redmine.pm@14892

I assume it would make things faster by caching the credentials, but it simply does not work anymore.

#4 - 2016-02-16 03:59 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#5 - 2016-02-16 04:03 - Toshi MARUYAMA

vic dog wrote:
Toshi MARUYAMA wrote:

What is cachecredentials flag?

 It is a flag that can be set from the Redmine.pm file:

source:trunk/extra/svn/Redmine.pm@14892

 Do you mean RedmineCacheCredsMax?

I cannot see cachecredentials.

#6 - 2016-02-16 04:03 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#7 - 2016-02-16 05:22 - vic dog

Toshi MARUYAMA wrote:

vic dog wrote:

Toshi MARUYAMA wrote:

What is cachecredentials flag?

 It is a flag that can be set from the Redmine.pm file:

source:trunk/extra/svn/Redmine.pm@14892

 Do you mean RedmineCacheCredsMax?

I cannot see cachecredentials.

 Yes sorry, I mean RedmineCacheCredsMax

#8 - 2016-02-16 05:31 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#9 - 2016-02-22 22:41 - vic dog

This is the error that appears when attempting to start apache with the RedmineCacheCredsMax present in the conf file:

[Tue Feb 23 08:30:28.586354 2016] [mpm_event:notice] [pid 26307:tid 139984903534400] AH00491: caught SIGTERM, 

shutting down

[ 2016-02-23 08:30:28.6111 26315/7ff10ffff700 age/Hel/Main.cpp:455 ]: Signal received. Gracefully shutting dow

n... (send signal 2 more time(s) to force shutdown)

[ 2016-02-23 08:30:28.6114 26315/7ff11725a780 age/Hel/Main.cpp:814 ]: Received command to shutdown gracefully.

 Waiting until all clients have disconnected...

[ 2016-02-23 08:30:28.6114 26315/7ff11725a780 age/Hel/Main.cpp:732 ]: Disconnecting long-running connections f

or process 26862, application /opt/bitnami/apps/redmine/htdocs/#default

[ 2016-02-23 08:30:28.6115 26315/7ff11725a780 age/Hel/Main.cpp:732 ]: Disconnecting long-running connections f

or process 26870, application /opt/bitnami/apps/redmine/htdocs/#default

[ 2016-02-23 08:30:28.6115 26315/7ff10f7fe700 Ser/Server.h:455 ]: [ServerThr.2] Shutdown finished

[ 2016-02-23 08:30:28.6116 26315/7ff10ffff700 Ser/Server.h:455 ]: [ServerThr.1] Shutdown finished

[ 2016-02-23 08:30:28.6116 26315/7ff10effd700 Ser/Server.h:455 ]: [AdminServer] Shutdown finished

[ 2016-02-23 08:30:28.6117 26315/7ff11725a780 age/Hel/Main.cpp:732 ]: Disconnecting long-running connections f

or process 26862, application /opt/bitnami/apps/redmine/htdocs/#default

[ 2016-02-23 08:30:28.6117 26315/7ff11725a780 age/Hel/Main.cpp:732 ]: Disconnecting long-running connections f

or process 26870, application /opt/bitnami/apps/redmine/htdocs/#default

[ 2016-02-23 08:30:28.6208 26320/7fe2a1aef700 age/Log/Main.cpp:346 ]: Signal received. Gracefully shutting dow

n... (send signal 2 more time(s) to force shutdown)

[ 2016-02-23 08:30:28.6208 26320/7fe2a4a88780 age/Log/Main.cpp:408 ]: Received command to shutdown gracefully.

 Waiting until all clients have disconnected...

[ 2016-02-23 08:30:28.6208 26320/7fe2a1aef700 Ser/Server.h:455 ]: [LoggerAdminServer] Shutdown finished

[ 2016-02-23 08:30:28.6209 26320/7fe2a4a88780 age/Log/Main.cpp:433 ]: PassengerAgent logger shutdown finished

[ 2016-02-23 08:30:28.8256 26315/7ff11725a780 age/Hel/Main.cpp:876 ]: PassengerAgent server shutdown finished

[ 2016-02-23 08:30:32.7336 27007/7fd020e5c780 age/Wat/Main.cpp:1264 ]: Starting PassengerAgent watchdog...

[ 2016-02-23 08:30:32.7379 27010/7f152ddf1780 age/Hel/Main.cpp:891 ]: Starting PassengerAgent server...

[ 2016-02-23 08:30:32.7380 27010/7f152ddf1780 age/Hel/Main.cpp:234 ]: PassengerAgent server running in multi-a

2025-05-03 2/3

https://www.redmine.org/projects/redmine/repository/svn/revisions/14892/entry/trunk/extra/svn/Redmine.pm
https://www.redmine.org/projects/redmine/repository/svn/revisions/14892/entry/trunk/extra/svn/Redmine.pm


pplication mode.

[ 2016-02-23 08:30:32.7397 27010/7f152ddf1780 age/Hel/Main.cpp:645 ]: PassengerAgent server online, PID 27010

[ 2016-02-23 08:30:32.7441 27015/7f4973151780 age/Log/Main.cpp:439 ]: Starting PassengerAgent logger...

[ 2016-02-23 08:30:32.7447 27015/7f4973151780 age/Log/Main.cpp:320 ]: PassengerAgent logger online, PID 27015

[ 2016-02-23 08:30:32.7742 27010/7f152ae93700 age/Hel/Main.cpp:455 ]: Signal received. Gracefully shutting dow

n... (send signal 2 more time(s) to force shutdown)

[ 2016-02-23 08:30:32.7742 27010/7f152ddf1780 age/Hel/Main.cpp:814 ]: Received command to shutdown gracefully.

 Waiting until all clients have disconnected...

[ 2016-02-23 08:30:32.7742 27010/7f152a692700 Ser/Server.h:455 ]: [ServerThr.2] Shutdown finished

[ 2016-02-23 08:30:32.7743 27010/7f1529e91700 Ser/Server.h:455 ]: [AdminServer] Shutdown finished

[ 2016-02-23 08:30:32.7743 27010/7f152ae93700 Ser/Server.h:455 ]: [ServerThr.1] Shutdown finished

[ 2016-02-23 08:30:32.7768 27015/7f496bfff700 age/Log/Main.cpp:346 ]: Signal received. Gracefully shutting dow

n... (send signal 2 more time(s) to force shutdown)

[ 2016-02-23 08:30:32.7769 27015/7f4973151780 age/Log/Main.cpp:408 ]: Received command to shutdown gracefully.

 Waiting until all clients have disconnected...

[ 2016-02-23 08:30:32.7769 27015/7f496bfff700 Ser/Server.h:455 ]: [LoggerAdminServer] Shutdown finished

[ 2016-02-23 08:30:32.7771 27015/7f4973151780 age/Log/Main.cpp:433 ]: PassengerAgent logger shutdown finished

[ 2016-02-23 08:30:32.7853 27010/7f152ddf1780 age/Hel/Main.cpp:876 ]: PassengerAgent server shutdown finished

[ 2016-02-23 08:32:08.5222 27050/7f7015f89780 age/Wat/Main.cpp:1264 ]: Starting PassengerAgent watchdog...

[ 2016-02-23 08:32:08.5265 27053/7fe0edf14780 age/Hel/Main.cpp:891 ]: Starting PassengerAgent server...

[ 2016-02-23 08:32:08.5266 27053/7fe0edf14780 age/Hel/Main.cpp:234 ]: PassengerAgent server running in multi-a

pplication mode.

[ 2016-02-23 08:32:08.5284 27053/7fe0edf14780 age/Hel/Main.cpp:645 ]: PassengerAgent server online, PID 27053

[ 2016-02-23 08:32:08.5328 27060/7fb6b2d13780 age/Log/Main.cpp:439 ]: Starting PassengerAgent logger...

[ 2016-02-23 08:32:08.5333 27060/7fb6b2d13780 age/Log/Main.cpp:320 ]: PassengerAgent logger online, PID 27060

[ 2016-02-23 08:32:08.5626 27053/7fe0eafb6700 age/Hel/Main.cpp:455 ]: Signal received. Gracefully shutting dow

n... (send signal 2 more time(s) to force shutdown)

[ 2016-02-23 08:32:08.5626 27053/7fe0edf14780 age/Hel/Main.cpp:814 ]: Received command to shutdown gracefully.

 Waiting until all clients have disconnected...

[ 2016-02-23 08:32:08.5627 27053/7fe0ea7b5700 Ser/Server.h:455 ]: [ServerThr.2] Shutdown finished

[ 2016-02-23 08:32:08.5628 27053/7fe0e9fb4700 Ser/Server.h:455 ]: [AdminServer] Shutdown finished

[ 2016-02-23 08:32:08.5628 27053/7fe0eafb6700 Ser/Server.h:455 ]: [ServerThr.1] Shutdown finished

[ 2016-02-23 08:32:08.5632 27053/7fe0edf14780 age/Hel/Main.cpp:876 ]: PassengerAgent server shutdown finished

[ 2016-02-23 08:32:08.5636 27060/7fb6afd7a700 age/Log/Main.cpp:346 ]: Signal received. Gracefully shutting dow

n... (send signal 2 more time(s) to force shutdown)

[ 2016-02-23 08:32:08.5636 27060/7fb6b2d13780 age/Log/Main.cpp:408 ]: Received command to shutdown gracefully.

 Waiting until all clients have disconnected...

[ 2016-02-23 08:32:08.5636 27060/7fb6afd7a700 Ser/Server.h:455 ]: [LoggerAdminServer] Shutdown finished

[ 2016-02-23 08:32:08.5637 27060/7fb6b2d13780 age/Log/Main.cpp:433 ]: PassengerAgent logger shutdown finished

#10 - 2020-05-19 13:44 - Dominik Bittl

You should try using "mpm_prefork" and not "mpm_event" or "mpm_worker".
